import isArray_default from "./isArray.js";
import _arrayMap_default from "./_arrayMap.js";
import _baseIteratee_default from "./_baseIteratee.js";
import _baseMap_default from "./_baseMap.js";
function map(i, a) {
	return (isArray_default(i) ? _arrayMap_default : _baseMap_default)(i, _baseIteratee_default(a, 3));
}
var map_default = map;
export { map_default as default };
